﻿Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim sb As New GrapeCity.SpreadBuilder.Workbook()
        sb.Sheets.AddNew()

        'Set up properties and values for columns, rows, and cells as desired 
        With sb.Sheets(0)
            .Name = "Customer Call List" 'sets the name of the sheet
            .Columns(0).Width = 2 * 1440 'sets the width of the 1st column
            .Columns(1).Width = 1440
            .Columns(2).Width = 1440
            .Rows(0).Height = 1440 / 4

            'Header row 
            .Cell(0, 0).SetValue("Company Name")
            .Cell(0, 0).FontBold = True
            .Cell(0, 1).SetValue("Contact Name")
            .Cell(0, 1).FontBold = True
            .Cell(0, 2).SetValue("Phone")
            .Cell(0, 2).FontBold = True

            'First row of data 
            .Cell(1, 0).SetValue("GrapeCity")
            .Cell(1, 1).SetValue("Mortimer")
            .Cell(1, 2).SetValue("(425) 880-2601")
        End With

        'Save the Workbook to an Excel file 
        sb.Save(Application.StartupPath & "\x.xls")
        MessageBox.Show("Your Spreadsheet has been saved to " & Application.StartupPath & "\x.xls")
    End Sub
End Class
